using System;
using System.Collections.Generic;
using UnityEngine;

[Serializable]
public class AMOrientationKey : AMKey
{
	public bool setTarget(Transform target)
	{
		if (target != this.target)
		{
			this.target = target;
			return true;
		}
		return false;
	}

	public override AMKey CreateClone()
	{
		AMOrientationKey amorientationKey = ScriptableObject.CreateInstance<AMOrientationKey>();
		amorientationKey.frame = this.frame;
		amorientationKey.target = this.target;
		amorientationKey.easeType = this.easeType;
		amorientationKey.customEase = new List<float>(this.customEase);
		return amorientationKey;
	}

	public Transform target;
}
